Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jdt.core.util
Interface IFieldInfo

public interface IFieldInfo

Description of a field info as described in the JVM specifications. This interface may be implemented by clients.

Since:
  2.0

Method Summary
`int` | `getAccessFlags()` Answer back the access flag of this field info.
`int` | `getAttributeCount()` Answer back the attribute number of the field info.
`IClassFileAttribute[]` | `getAttributes()` Answer back the collection of all attributes of the field info.
`IConstantValueAttribute` | `getConstantValueAttribute()` Answer back the constant value attribute of this field info if specified, null otherwise.
`char[]` | `getDescriptor()` Answer back the descriptor of this field info.
`int` | `getDescriptorIndex()` Answer back the descriptor index of this field info.
`char[]` | `getName()` Answer back the name of this field info.
`int` | `getNameIndex()` Answer back the name index of this field info.
`boolean` | `hasConstantValueAttribute()` Return true if the field info has a constant value attribute, false otherwise.
`boolean` | `isDeprecated()` Return true if the field info has a deprecated attribute, false otherwise.
`boolean` | `isSynthetic()` Return true if the field info is synthetic according to the JVM specification, false otherwise.

Method Detail

### getConstantValueAttribute

    public IConstantValueAttribute getConstantValueAttribute()

  Answer back the constant value attribute of this field info if specified, null otherwise.

  Returns:
    the constant value attribute of this field info if specified, null otherwise

### getAccessFlags

    public int getAccessFlags()

  Answer back the access flag of this field info.

  Returns:
    the access flag of this field info

### getName

    public char[] getName()

  Answer back the name of this field info. The name is returned as specified in the JVM specifications.

  Returns:
    the name of this field info. The name is returned as specified in the JVM specifications

### getNameIndex

    public int getNameIndex()

  Answer back the name index of this field info.

  Returns:
    the name index of this field info

### getDescriptor

    public char[] getDescriptor()

  Answer back the descriptor of this field info. The descriptor is returned as specified in the JVM specifications.

  Returns:
    the descriptor of this field info. The descriptor is returned as specified in the JVM specifications

### getDescriptorIndex

    public int getDescriptorIndex()

  Answer back the descriptor index of this field info.

  Returns:
    the descriptor index of this field info

### hasConstantValueAttribute

    public boolean hasConstantValueAttribute()

  Return true if the field info has a constant value attribute, false otherwise.

  Returns:
    true if the field info has a constant value attribute, false otherwise

### isSynthetic

    public boolean isSynthetic()

  Return true if the field info is synthetic according to the JVM specification, false otherwise.

  Note that prior to JDK 1.5, synthetic fields were always marked using an attribute; with 1.5, synthetic fields can also be marked using the `IModifierConstants.ACC_SYNTHETIC` flag.

  Returns:
    true if the field info is synthetic according to the JVM specification, false otherwise

### isDeprecated

    public boolean isDeprecated()

  Return true if the field info has a deprecated attribute, false otherwise.

  Returns:
    true if the field info has a deprecated attribute, false otherwise

### getAttributeCount

    public int getAttributeCount()

  Answer back the attribute number of the field info.

  Returns:
    the attribute number of the field info

### getAttributes

    public IClassFileAttribute[] getAttributes()

  Answer back the collection of all attributes of the field info. It includes SyntheticAttribute, ConstantValueAttributes, etc. Returns an empty collection if none.

  Returns:
    the collection of all attributes of the field info. It includes SyntheticAttribute, ConstantValueAttributes, etc. Returns an empty collection if none

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse JDT Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.